Printago API
PATCH /v1/cost-components/{id}

Update cost component

Requires: settings.edit

Path Parameters

id required
string
Cost component ID

Request Body

Fields to update

Partial__type.o16
createdAtoptional
string
format: date-time
descriptionoptionalnullable
string
idoptional
string
nameoptional
string
rateoptional
number
storeIdoptional
string
typeoptional
"material" | "labor" | "overhead"
materiallaboroverhead
unitoptional
string
updatedAtoptional
string
format: date-time

Example Request

application/json
{
  "name": "string",
  "type": "material",
  "unit": "string",
  "rate": 1,
  "description": "string",
  "id": "string",
  "storeId": "string",
  "updatedAt": "2025-01-15T12:00:00.000Z",
  "createdAt": "2025-01-15T12:00:00.000Z"
}

Response Schema

CostComponent
createdAtrequired
string
format: date-time
descriptionoptionalnullable
string
idrequired
string
namerequired
string
raterequired
number
storeIdrequired
string
typerequired
"material" | "labor" | "overhead"
materiallaboroverhead
unitrequired
string
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "id": "string",
  "name": "string",
  "unit": "string",
  "rate": 1,
  "type": "material",
  "description": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}